PETSc version 3.15.5
Fix/Edit manual page

# SNES

Abstract PETSc object that manages all nonlinear solves

### Synopsis

    typedef struct _p_SNES* SNES;

### See Also

SNESCreate(), SNESSetType(), SNESType, TS, KSP, KSP, PC, SNESDestroy()

### Level

beginner

### Location

src/snes/../../include/petscsnes.h

### Examples

src/snes/tutorials/ex1.c.html
src/snes/tutorials/ex2.c.html
src/snes/tutorials/ex3.c.html
src/snes/tutorials/ex5.c.html
src/snes/tutorials/ex6.c.html
src/snes/tutorials/ex9.c.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex14.c.html
src/snes/tutorials/ex15.c.html
src/snes/tutorials/ex18.c.html
src/snes/tutorials/ex19.c.html

### Implementations

_p_SNES in include/petsc/private/snesimpl.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages